Retrieve a list of leads matching your search criterias

This API endpoint will enable you to search through your lead database programatically with the same criterias than you would use on the recruiter's leads page. You can execute 2 kinds of search:

  • Use the query parameter which is equivalent to typing your search query in a search bar.
  • Use a combination of parameter to execute an advanced search
Query Params
string
required

The API key provided for your application

string

Search keywords like application id filter[query]='AP123'. Other search keywords like name, email or phone number.

integer

Page number of lead list to return.

integer

Campaign id of the campaign.

string

The result will have all leads listed in all said campaigns. This parameter may be passed campaign_id divided by coma. filter[campaign_id]=1,2,3

string

This parameter is used to filter the leads by current status. Only leads with a status equal to the filter provided will be returned. Valid statuses are 'pending', 'completed', 'shortlisted', 'on_hold', 'rejected', 'hired', 'no_response' or custom like 'custom_status'. Check the Folders API to get the valid list for the company.

string

Return leads that were created on or after the provided date. Date format must be DD-MM-YYYY.

string

Return leads that were created on or before the provided date. Date format must be DD-MM-YYYY.

string

Return leads that were updated on or after the provided date. Date format must be DD-MM-YYYY.

string

Return leads that were updated on or before the provided date. Date format must be DD-MM-YYYY.

string

Search results will be filtered by provided source.

string

Location filter for lead search results.

integer

This will define a radius, in kilometers, from the location selected. All leads inside that radius will be included in the search results.

string

The name of a label already created in the system. Search results will include all leads with this label.

string

Completion method of campaign invitation.

string

If attached is set, it will look for leads with resume. Values must be either 'attached' or 'not_attached'

string

Return leads that were scheduled on or after the provided date. Date format must be DD-MM-YYYY.

string

Return leads that were scheduled on or before the provided date. Date format must be DD-MM-YYYY.

string

Sorting of lead results. Allowed values include 'name', 'source', 'location', 'created_at', 'completion_date'.

string

This parameter can be used to filter with the custom candidate attributes from the Others fields(jsonb column). If the attribute record with 'custom_attribute' key exists, then the data type (number, text or date) linked to it is used for matching, if it does not exist then it defaults to text. Data types number or text are matched as equal to the value sent and the Date type (format dd-mm-yyyy) matches for a greater or equal value.

boolean

Optional. If sent as true the documents linked to the leads are returned. Default to false.

boolean

Optional. If sent as true the answers linked to the leads are returned. Default to false.

boolean

Optional. If sent as true the attachments linked to the leads are returned. Default to false.

Responses

500

Internal server error, we will provide you with the exception message of the application.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*